%global srcname sen
%global sum Terminal User Interface for docker engine

Name:           %{srcname}
Version:        0.1.1
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
Requires:       python3-%{srcname}
BuildRequires:  python3-devel


%description
sen enables you to manage your containers and images interactively directly
from command line. Interface is similar to htop, alot or tig.


%package -n python3-%{srcname}
Requires:       python3-urwid
Requires:       python3-docker-py
Requires:       python3-humanize
# once tests become available
# BuildRequires:  python3-pytest
# BuildRequires:  python3-pytest-capturelog
# BuildRequires:  python3-flexmock

Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
sen enables you to manage your containers and images interactively directly
from command line. Interface is similar to htop, alot or tig.


%prep
%autosetup -n %{srcname}-%{version}
sed -i 1d sen/cli.py


%build
%py3_build


%install
%py3_install

# tests will be available in next version
# %%check
# py.test-%%{python3_version} -vv tests


%files
%license LICENSE
%{_bindir}/sen
%doc README.md

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 10 2015 Tomas Tomecek <ttomecek@redhat.com> - 0.1.1-1
- initial build

